flutter_aes_ecb_pkcs5 0.1.1
flutter_aes_ecb_pkcs5: ^0.1.1

Flutter Android iOS

A flutter plugin, a library dedicated to aes_ecb_pkcs5 encryption and decryption, it has high performance and a simple API, small size and stable operation;

AES 128 pkcs5 only support #

  • Provide generation of AES keys

  • Provide encrypt for AES keys

  • Provide decrypt for AES keys

  • Android uses java, iOS uses OC development

Usage #

AES

import 'package:flutter_aes_ecb_pkcs5/flutter_aes_ecb_pkcs5.dart';

void main() {

    var data = "{\"username\":\"helloword\"}";
    
    //生成16字节的随机密钥
    var key = await FlutterAesEcbPkcs5.generateDesKey(128);
    
    print(key);
    //加密
    var encryptText = await FlutterAesEcbPkcs5.encryptString(data, key);
    
    print(encryptText);
    //解密
    var decryptText  = await FlutterAesEcbPkcs5.decryptString(encryptText, key);
    
    print(decryptText);
  
}
1
likes
100
pub points
79%
popularity

A flutter plugin, a library dedicated to aes_ecb_pkcs5 encryption and decryption, it has high performance and a simple API, small size and stable operation;

Repository (GitHub)
View/report issues

Documentation

API reference

Uploader

smallbuer@gmail.com

License

Apache 2.0 (LICENSE)

Dependencies

flutter

More

Packages that depend on flutter_aes_ecb_pkcs5